package com.ruoyi.system.service.webOfficeImpl;

import cn.ljserver.tool.weboffice.v3.model.UserInfo;
import cn.ljserver.tool.weboffice.v3.service.UserService;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.SecurityUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 用户信息接口实现
 * <br>
 * <a href="https://solution.wps.cn/docs/callback/user.html">-详见官方文档-</a>
 */
@Service
public class UserServiceImpl implements UserService {

    /**
     * 获取用户信息
     *
     * @param userIds 用户ID列表
     * @return 用户信息列表
     */
    @Override
    public List<UserInfo> fetchUsers(List<String> userIds) {
        // 看着这里写这么多，感觉有点复杂
        // 其实就是获取到 userIds，然后到数据库中拿出对应的user list
        // 然后构造成userInfo list 返回即可
       /* for (String userId : userIds) {
            System.out.println(userId + "qqqqqqqqqqqqq");
        }*/

        List<UserInfo> userInfoList = new ArrayList<>();
        SysUser user = SecurityUtils.getLoginUser().getUser();
        UserInfo userInfo = new UserInfo();
        userInfo.setId(String.valueOf(user.getUserId()));
        userInfo.setName(user.getNickName());
        userInfoList.add(userInfo);
        return userInfoList;
    }
}
